List Gate Versions

gethttps://statsigapi.net/console/v1/gates/{id}/versions

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Query parameters

limitinteger

Results per page

pageinteger

Page number

Response

application/json
200List Gate Versions Success
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
id[]stringrequired

ID

name[]string

The gate display name

idType[]string
description[]stringrequired
lastModifierID[]stringrequired

ID of the last modifier.

lastModifiedTime[]numberrequired

Time of the last modification.

lastModifierEmail[]stringrequired

Email of the last modifier.

lastModifierName[]stringrequired

Name of the last modifier.

creatorID[]string
createdTime[]numberrequired

Timestamp when the entity was created.

creatorName[]stringrequired

Name of the creator.

creatorEmail[]string
tags[]string[]
targetApps[]oneOf
holdoutIDs[]string[]

Holdouts applied to this configuration.

team[]string
teamID[]string
version[]number

Version number

checksPerHour[]numberrequired
status[]stringrequired
type[]stringrequired
typeReason[]stringrequired
owner[]object

Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.

Show child attributes
ownerIDstring

ID of the owner

ownerTypestring

Type of the owner (e.g., SDK_KEY or USER)

ownerNamestring

The name of the owner. This field is optional.

ownerEmailstring

The email of the owner. This field is optional.

isTemplate[]boolean
store0100Exposures[]boolean

Whether this gate stores 0/100 exposures for monitoring/analysis.

permalink[]stringrequired

A permalink to this gate in the Statsig Console.

archivedAt[]number

Timestamp (ms) of the most recent archive event when the gate is currently archived; null otherwise. May be null for gates archived before audit logging existed.

archivedByID[]string

ID of the user who archived this gate, when known and the gate is currently archived; null otherwise (e.g. automated archives have no user).

archivedByName[]string

Name of the user who archived this gate, when known and the gate is currently archived; null otherwise.

archivedByEmail[]string

Email of the user who archived this gate, when known and the gate is currently archived; null otherwise.

archiveReason[]string

Free-text reason supplied when the gate was most recently archived; null when the gate is not currently archived or no reason was given.

isEnabled[]booleanrequired
rules[]object[]required
Show child attributes
name[]stringrequired

The name of this rule.

passPercentage[]numberrequired

Of the users that meet the conditions of this rule, what percent should return true.

conditions[]object[]required

An array of Condition objects.

Show child attributes
targetValue[]oneOf
operator[]string
field[]string
customID[]string
type[]stringrequired
environments[]string[]

The environments this rule is enabled for.

id[]string

The Statsig ID of this rule.

baseID[]string

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValue[]object

The return value of the rule.

completedAutomatedRollouts[]object[]

Read-only: Automated rollout phases that have already completed.

Show child attributes
time[]number
passPercent[]numberrequired
pendingAutomatedRollouts[]object[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

Show child attributes
time[]number
passPercent[]numberrequired
measureMetricLifts[]boolean
monitoringMetrics[]object[]
Show child attributes
name[]stringrequired
type[]stringrequired
reviewSettings[]object
Show child attributes
requiredReviewbooleanrequired
allowedReviewersobject[]
Show child attributes
id[]stringrequired
name[]stringrequired
email[]stringrequired
releasePipelineID[]string
activeReview[]object
Show child attributes
reviewIDstringrequired
reviewStatusstringrequired
descriptionstringrequired
paginationobjectrequired

Pagination metadata for checking if there is next page for example.

404Not Found. The requested resource could not be found.
statusintegerrequired
messagestringrequired

Was this helpful?